disable t4016-diff-quote.sh on some filesystems

... because the filesystems (most typically FAT and NTFS) do not support
HT nor LF in filenames.

Signed-off-by: Alex Riesen <raa.lkml@gmail.com>
diff --git a/t/t4016-diff-quote.sh b/t/t4016-diff-quote.sh
index edde8f5..2e7cd5f 100755
--- a/t/t4016-diff-quote.sh
+++ b/t/t4016-diff-quote.sh
@@ -13,6 +13,10 @@
 P2='pathname with SP'
 P3='pathname
 with LF'
+: >"$P1" 2>&1 && test -f "$P1" && rm -f "$P1" || {
+	echo >&2 'Filesystem does not support tabs in names'
+	test_done
+}
 
 test_expect_success setup '
 	echo P0.0 >"$P0.0" &&